In-app assistant

GET /assistant/sessions/{id} Session or API key

One owned conversation with its full transcript.

Path parameters

id string (UUID) required
The session id.Example b2f1c2b0-6e2a-4c9e-9c2e-0a1b2c3d4e5f
curl
curl "https://freehire.me/api/v1/assistant/sessions/<id>" -H "Authorization: Bearer $HIREALL_API_KEY"
json — response
{
  "data": {
    "session": { "id": "b2f1c2b0-6e2a-4c9e-9c2e-0a1b2c3d4e5f", "preset": "chat", "label": "Relocating to Berlin?" },
    "messages": [
      { "seq": 1, "role": "user", "content": { "text": "Should I relocate for this role?" } },
      { "seq": 2, "role": "assistant", "content": { "text": "...", "...": "..." } }
    ]
  }
}

Tailor your CV for this role?

We couldn't check your fit for this role — add a CV to your profile to see it next time.

A new version of HireAll is available